Search users
Returns a list of users from the tenant that match all the provided search criteria (all criteria are optional).
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>The search criteria
application/json- body
claims?Filter users by claims. Nested objects are supported. Text values must be an exact match.
authenticationProvider?Filter users by their unique identifier in the configured Authentication Provider.
limit?numberRange size of returned entries, default 100
1 <= value <= 1000cursor?stringStarting point for the range of entries
Users retrieved
application/json- response
nextCursor?stringStarting point for next cursor to use in a page
data?array<>Includes all matching user objects.
curl -X POST "https://example.com/v1/users/search" \ -H "Content-Type: application/json" \ -d '{}'{ "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM", "data": [ { "id": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba", "claims": { "externalUserId": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba" }, "claimSets": { "707e920a-f342-443b-ae24-6946b7b5033e": { "claim-set-id-1": { "givenName": "Alice" }, "claim-set-id-2": { "givenName": "Bob" } } }, "authenticationProvider": { "providerId": "41458e5a-9092-40b7-9a26-d4eb43c5792f", "url": "https://example-university.au.auth0.com", "subjectId": "example-university-oauth2|123456789" } } ]}How would you rate this page?
Delete a user DELETE
Deletes a user and removes all data related to them by providing the user ID. <Callout type="warning"> Deleting a user is irreversible. All of the user's data is removed, and any credential previously issued to them is no longer valid. </Callout>
Retrieve all user credentials data GET
Returns metadata for all the credentials issued to the provided `userId`.